%global vname dist426

Name:		autodocksuite
Version:	4.2.6
Release:	4%{?dist}
Summary:	AutoDock is a suite of docking tools to study protein-ligand interaction

License:	GPLv2
URL:		http://autodock.scripps.edu/
Source0:	http://autodock.scripps.edu/downloads/autodock-registration/tars/%{vname}/%{name}-%{version}-src.tar.gz

BuildRequires:	csh

%description
AutoDock is a suite of automated docking tools. It is designed to predict \
how small molecules, such as substrates or drug candidates, bind to a \
receptor of known 3D structure. AutoDock 4 actually consists of two main \
programs: autodock performs the docking of the ligand to a set of grids \
describing the target protein; autogrid pre-calculates these grids. In \
addition to using them for docking, the atomic affinity grids can be \
visualized. This can help, for example, to guide organic synthetic chemists \
design better binders.

%prep
%setup -q -n src

%build

pushd autodock
%configure
make %{?_smp_mflags}
popd

pushd %{_builddir}/src/autogrid
%configure
make V=1 %{?_smp_mflags}

%install
make -C autodock install DESTDIR=%{buildroot}
make -C autogrid install DESTDIR=%{buildroot}

rm -f %{buildroot}/%{_bindir}/autodock4.omp

%files
%license autodock/COPYING
%{_bindir}/autodock4
%{_bindir}/autogrid4

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 4.2.6-2
- Rebuilt for GCC 5 C++11 ABI change

* Thu Feb 12 2015 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.2.6-1
- Update to version 4.2.6
- Removed -doc subpackage (user guide removed from src tarball)

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.5.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.5.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 20 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.2.5.1-5
- Spec file optimizations/corrections

* Wed Feb 19 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.2.5.1-4
- Fixed spec file problems
- Removed ldconfig from post and postun
- Removed export CFLAGS

* Wed Feb 19 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.2.5.1-3
- Added Requires for -doc subpackage

* Tue Feb 18 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.2.5.1-2
- Fixed spec file errors
- Added files under doc and created -doc package

* Mon Feb 17 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.2.5.1-1
- Initial package
